
import React from 'react';
import Icon from 'react-icon-base';

const SlCamera = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M928 736h-147.184l-76.8164 128h-384l-76.7998 -128h-147.2c-32 0 -96 -32 -96 -95.0078v-512.992c0 -53.0078 48 -96 89.3281 -96h840.672c42 0 94 44.9922 94 94.9922v513.008c0 32 -32 96 -95.9999 95.9996zM960 126.992 c0 -12.624 -20.4629 -30.2881 -29.999 -31.0078h-840.48c-7.4082 0.608398 -25.5205 15.04 -25.5205 32.0156v512.992c0 20.2725 27.2324 30.4961 32 31.0078h183.44l76.7998 128h313.648l57.1201 -96.9443l17.5996 -31.0557h183.392c22.5596 0 31.6797 -29.4717 32 -32 v-513.008v0.0004zM512.001 640c-123.712 0 -224 -100.288 -224 -224s100.288 -224 224 -224s224 100.288 224 224s-100.288 224 -224 224zM512.001 256c-88.2236 0 -160 71.7764 -160 160s71.7764 160 160 160s160 -71.7764 160 -160s-71.7764 -160 -160 -160z"/></g>
    </Icon>
);

export default SlCamera;
